=== debian/control ===
Source: ros-iron-velodyne-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-gazebo-dev, ros-iron-gazebo-msgs, ros-iron-gazebo-ros, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: http://wiki.ros.org/velodyne_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-iron-velodyne-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-gazebo-dev, ros-iron-gazebo-msgs, ros-iron-gazebo-ros, ros-iron-rclcpp, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: Gazebo plugin to provide simulated data from Velodyne laser scanners.
